UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Update external client

Update the name, redirect URL, scopes, or certificates of an external OAuth client in an Automation Suite organization using the Identity API.

Update the name, redirect URL, scopes, or certificates of an external OAuth application.

API endpoint

PUT https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}/{clientId}

Scopes

Requires either one of the following scopes:

  • PM.OAuthApp
  • PM.OAuthApp.Write

Request headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body

The request body contains the organization ID where the specific external client is located, and the corresponding client ID.

{
  "partitionGlobalId": "<organizationId>",
  "clientId": "<clientId>"
}
{
  "partitionGlobalId": "<organizationId>",
  "clientId": "<clientId>"
}

Responses

200 Success

The specified external client has been successfully updated.

{
  "name": "string",
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}
{
  "name": "string",
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}
  • API endpoint
  • Scopes
  • Request headers
  • Request body
  • Responses
  • 200 Success

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated